Enumeration constants

- « Enumeration static methods

- Traits »

- PHP Manual
- Enumerations
- Enumeration constants

## Enumeration constants

Enumerations may include constants, which may be public, private, or protected, although in practice private and protected are equivalent as inheritance is not allowed.

An enum constant may refer to an enum case:

    <?phpenum Size{    case Small;    case Medium;    case Large;    public const Huge = self::Large;}?>